Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004341TestLinkReportspublic2011-03-22 12:572011-07-02 13:48
ReporterJulian 
Assigned ToJulian 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004341: New Column "Last Execuition Result" for Test Result Matrix
DescriptionRight now Test Result Matrix shows results for all active Builds and in addition an extra column called "[Last Build]". What is shown for "Last Build" is NOT the same as "Last Execution"

Example:
Testproject contains 2 builds (Build 1 and Build 2) within 1 test plan.
Test Case A ist executed in this way:

Build 2 [passed] and later Build 1 [failed]

Last Build column on Test Result Matrix will say "Passed"
When working with other reports testlink uses "Last Execution" based on execution id from database -> in this case "Last Execution" is "failed".

This is pretty confusing - so offering both columns is the better way.
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0014206)
Julian (reporter)
2011-03-22 12:58

Reminder sent to: Eloff

Erik - do you have the time to take care of this ?
(0014345)
Julian (reporter)
2011-03-29 12:00

I will fix it.
(0014351)
Julian (reporter)
2011-03-29 14:55

master: http://gitorious.org/testlink-ga/testlink-code/commit/123cb22085e8768f8a49b17c3e4191600c6e9cb0 [^]

branch 1.9: http://gitorious.org/testlink-ga/testlink-code/commit/9da5af7f251e549786cf1cadb01bd7b3f3799d9f [^]
(0015403)
fman (administrator)
2011-07-02 13:48

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-03-22 12:57 Julian New Issue
2011-03-22 12:58 Julian Note Added: 0014206
2011-03-29 12:00 Julian Note Added: 0014345
2011-03-29 12:00 Julian Assigned To => Julian
2011-03-29 12:00 Julian Status new => assigned
2011-03-29 14:55 Julian Note Added: 0014351
2011-03-29 14:55 Julian Status assigned => resolved
2011-03-29 14:55 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-03-29 14:55 Julian Resolution open => fixed
2011-04-04 20:57 fman View Status private => public
2011-07-02 13:48 fman Note Added: 0015403
2011-07-02 13:48 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker